## Catalog

## Git Installation & Configuration

- [Git安装配置和操作基本操作演示](doc/Git安装配置和操作基本操作演示.md) 
- [签出正式开发代码，修改，提交](doc/签出正式开发代码，修改，提交.md) 
- [Git同步密码输入错误后设置重新验证](./doc/Git同步密码输入错误后设置重新验证.md)
- [Git-Windows配置支持Git多账户](./doc/FromSVNToGit/ConfigAfterInstall.md#%E5%AF%86%E7%A0%81%E7%AE%A1%E7%90%86)
- [Git提交日志查看优化](./doc/FromSVNToGit/ConfigAfterInstall.md#%E6%A0%BC%E5%BC%8F%E5%8C%96%E6%97%A5%E5%BF%97%E8%BE%93%E5%87%BA)
- [只从Git仓库中移除已追踪的文件](./doc/FromSVNToGit/CommenCmd.md#%E4%BC%98%E9%9B%85%E5%88%A0%E9%99%A4%E8%A6%81%E5%BF%BD%E7%95%A5%E7%9A%84%E6%96%87%E4%BB%B6)

## Changing & Deploy

- [关于ConfCenter和Web4移出服务代码的更新](doc/对于ConfCenter和Web4移出服务代码的更新.md) 
- [让Git支持Windows Symbolic link](./doc/让Git支持Windows-Symbolic-link.md)  
- [部署环境搭建--面向实施](doc/部署环境搭建--面向实施.md)
- [关于Gitlab域名更换问题](./doc/关于Gitlab域名更换问题.md)
- [关于子站多模板更新](./doc/子站多模板更新.md)
- [CloudPlatform服务部署](./doc/CloudPlatform服务部署.md)

## Front End

- [SINOPIA——私有npm仓库的使用](doc/SINOPIA——私有npm仓库.md)
- [浏览器缓存策略——maxAge与maxStale](doc/浏览器缓存策略——maxAge与maxStale.md)
- [一点点历史——浏览器history](doc/a-little-bit-of-history.md)
- [单页面应用程序与服务器](./doc/Simple-Page-Applications-And-Server.md)  
- [npm package.json中的`~`与`^`有什么不同](doc/difference-between-tilde-and-caret-in-npm-package.json-file.md)
- [使用跨域——Using CORS](doc/using-cors.md)
- [如何使用SSH协议获取gitlab仓库代码](./doc/如何使用ssh协议获取gitlab仓库的代码.md) 
- ...[EcmaScript 6 ]()
- ...[TypeScript]()
- ...[WebPack 编译与打包]()

## Linux

- [CentOS7.4搭建L2TP/IPSec-VPN](./doc/CentOS7.4搭建L2TPIPSec-VPN.md) 
- [CentOS7.4配置网关路由服务器](doc/CentOS7.4配置网关路由服务器.md)
- [解決Linux內核升級导致vmmon模块加载失败的问题](./doc/解決Linux內核升級导致vmmon模块加载失败的问题.md) 
- [如何在ArchLinux上安装自签名SSL证书](./doc/如何在ArchLinux上安装自签名SSL证书.md) 
- [生成并系统范围内安装自签名证书](./doc/在Linux上应用自签名证书.md) 
- ...[Linux Shell 脚本]()

## Other

- [Nginx配置文件nginx.conf中文详解](./doc/Nginx-配置文件nginx.conf中文详解.md)  
- [关于12.1服务器的配置](doc/关于12.1服务器的配置.md) 
- [常用命令行](doc/常用命令行.md) 
- [Git 基础](doc/Git基础.md) 
- [使用Vimdiff解决git冲突](doc/使用Vimdiff解决git冲突.md)
- [用vim写代码](doc/用vim写代码.md)
- [Gitlab的SSH协议端口8822失效的问题排查](doc/Gitlab-8822端口失效问题.md) 
- [Calibre-web电子书网站的使用](doc/Calibre-web的使用.md)
- [ike-scan扫描服务端的ike加密算法](doc/ike-scan扫描服务端的ike加密算法.md)
- [用 LinqPad 进行快速开发](doc/LinqPad快速开发数据轮询持久化.md)
- [创建交互式Windows任务计划](./doc/创建交互式Windows任务计划.md) 
- [用Certbot部署Let‘sEncrypt的HTTPS证书](./doc/Certbot部署LetsEncrypt的HTTPS证书.md) 
- [分析高德地图行政区注记数据](./doc/分析高德地图行政区注记数据.md)

## External Docs

### About Revit

[Add-In Integration](http://help.autodesk.com/view/RVT/2019/ENU/?guid=Revit_API_Revit_API_Developers_Guide_Introduction_Add_In_Integration_html) 

[RvtVa3c Source Code](https://github.com/va3c/RvtVa3c) 

[Exporting RVT BIM to JSON, WebGL and Forge](https://thebuildingcoder.typepad.com/blog/2016/07/exporting-rvt-bims-to-webgl-and-forge.html) 

### Web Push

[Beginners guide to Web Push Notifications using Service Workers](https://blog.atulr.com/web-notifications/) 

[向网络应用添加推送通知](https://developers.google.cn/web/fundamentals/codelabs/push-notifications/?spm=a2c4e.11153940.blogcont608805.61.57a12293W4y10F) 

[Web Sockets vs. XMPP: Which Is Better For Chat Application?](https://medium.com/@thinkwik/web-sockets-vs-xmpp-which-is-better-for-chat-application-113e3520b327)  